Create waitlist on-my-way

Create a waitlist on-my-way visit in a restaurant.

Curl example with OAuth authentication:

    root@test:~# curl -X POST https://api.yelp.com/v3/businesses/{BUSINESS_ID}/waitlist/on-my-way --header 'accept: application/json' --header "Authorization: Bearer ${API_TOKEN}" -d "{\"name\": \"Customer Name\", \"party_size\": 2, \"phone\": \"+19050000000\", \"arrival_range_max\": 30, \"arrival_range_min\": 10}""

Example 201 response:

{
    "visit_id": "Encoded visit id",
    "party_size": 2,
    "arrive_by_time": 1714577798
}

Note: In order to use this endpoint, the caller should be an onboarded Yelp Waitlist partner

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Encrypted Yelp business identifer

Body Params

The request body for creating an on-my-way visit

string
required

Patron's phone number in E.164 format

integer
required

Number of guests in the party

string
required

Patron's name

integer
required

Patron's expected maximum arrival time (in minutes). Must be 30 minutes from now or earlier. Should be the upper bound of the arrival estimate selected.

integer
required

Patron's expected minimum arrival time (in minutes). Must be 30 minutes from now or earlier.

string

Notes from the patron. Will be visible to the host in the host app.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json